package com.mdd.admin.validate.article;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("文章搜索参数")
public class ArticleSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("文章标题")
   private String title;
   @ApiModelProperty("文章分类")
   private Integer cid;
   @ApiModelProperty("是否显示")
   private Integer isShow;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;

   public String getTitle() {
      return this.title;
   }

   public Integer getCid() {
      return this.cid;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setCid(Integer cid) {
      this.cid = cid;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArticleSearchValidate)) {
         return false;
      } else {
         ArticleSearchValidate other = (ArticleSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label71: {
               Object this$cid = this.getCid();
               Object other$cid = other.getCid();
               if (this$cid == null) {
                  if (other$cid == null) {
                     break label71;
                  }
               } else if (this$cid.equals(other$cid)) {
                  break label71;
               }

               return false;
            }

            Object this$isShow = this.getIsShow();
            Object other$isShow = other.getIsShow();
            if (this$isShow == null) {
               if (other$isShow != null) {
                  return false;
               }
            } else if (!this$isShow.equals(other$isShow)) {
               return false;
            }

            label57: {
               Object this$title = this.getTitle();
               Object other$title = other.getTitle();
               if (this$title == null) {
                  if (other$title == null) {
                     break label57;
                  }
               } else if (this$title.equals(other$title)) {
                  break label57;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime == null) {
                  return true;
               }
            } else if (this$endTime.equals(other$endTime)) {
               return true;
            }

            return false;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArticleSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $cid = this.getCid();
      result = result * 59 + ($cid == null ? 43 : $cid.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "ArticleSearchValidate(title=" + this.getTitle() + ", cid=" + this.getCid() + ", isShow=" + this.getIsShow() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
